//
//  HelloPolygonViewController.m
//  HelloPolygon
//
//  Created by Kyoung Shin Park on 9/21/11.
//  Copyright 2011 __dis__. All rights reserved.
//

#import "HelloPolygonViewController.h"

@implementation HelloPolygonViewController

@synthesize count, label, decreaseButton, increaseButton, polyView;

- (void)dealloc
{
    [label release];
    [decreaseButton release];
    [increaseButton release];
    [polyView release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


- (void)updateView
{
	label.text = [NSString stringWithFormat:@"Number Of Sides: %u", count];
	
	[polyView setNumberOfSides:count];
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    count = 5;
    [self updateView];
    [super viewDidLoad];
}


- (void)viewDidUnload
{
    [label release];
    label = nil;
    [decreaseButton release];
    decreaseButton = nil;
    [increaseButton release];
    increaseButton = nil;
    [polyView release];
    polyView = nil;
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)decrease:(id)sender {
	increaseButton.enabled = TRUE;
	
	if(count > 3)
	{
		count--;
		
		if(count == 3)
		{
			decreaseButton.enabled = FALSE;
		}
		else
		{
			decreaseButton.enabled = TRUE;
		}
	}
	else
	{
		decreaseButton.enabled = FALSE;
	}
    
	[self updateView];
}

- (IBAction)increase:(id)sender {
	decreaseButton.enabled = TRUE;
	
	if(count < 15)
	{
		count++;
		
		if(count == 15)
		{
			increaseButton.enabled = FALSE;
		}
		else
		{
			increaseButton.enabled = TRUE;
		}
	}
	else
	{
		increaseButton.enabled = FALSE;
	}
	
	[self updateView];
}

@end
